Package org.apache.felix.http.base.internal.service

# Class HttpResourceServlet

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
org.apache.felix.http.base.internal.whiteboard.ResourceServlet
org.apache.felix.http.base.internal.service.HttpResourceServlet

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

public class HttpResourceServlet extends ResourceServlet

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class jakarta.servlet.http.HttpServlet

`LEGACY_DO_HEAD`

## Constructor Summary

Constructors
Constructor
Description
`HttpResourceServlet(String prefix)`

## Method Summary

Modifier and Type
Method
Description
`javax.servlet.Servlet`
`getWrapper()`
`void`
`setWrapper(javax.servlet.Servlet wrapper)`

### Methods inherited from class org.apache.felix.http.base.internal.whiteboard.ResourceServlet

`doGet`

### Methods inherited from class jakarta.servlet.http.HttpServlet

`doDelete, doHead, doOptions, doPatch, doPost, doPut, doTrace, getLastModified, init, isSensitiveHeader, service, service`

### Methods inherited from class jakarta.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HttpResourceServlet

public HttpResourceServlet(String prefix)

## Method Details

### getWrapper

public javax.servlet.Servlet getWrapper()

### setWrapper

public void setWrapper(javax.servlet.Servlet wrapper)